Skip to main content
`Ctrl`+`K`

# KSPViewFromOptions

View (print) a `KSP` object based on values in the options database. Also views the `PC` and `Mat` contained by the `KSP` with `PCView()` and `MatView()`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPViewFromOptions(KSP A, PetscObject obj, const char name[])

Collective

## Input Parameters

- A - Krylov solver context

- obj - Optional object that provides the options prefix used to query the options database

- name - command line option

## See Also

KSP: Linear System Solvers, `KSP`, `KSPView()`, `PetscObjectViewFromOptions()`, `KSPCreate()`

## Level

intermediate

## Location

src/ksp/ksp/interface/itcreate.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages